package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.ResourceLoader;
import cz.jzitnik.tui.Sprite;

import java.util.Optional;

public class Hunger extends Sprite {
    public enum HungerState {
        OFF, ON,
    }

    public String getSprite() {
        return getSprite(HungerState.OFF);
    }

    public String getSprite(Enum e) {
        return ResourceLoader.loadResource(switch (e) {
            case HungerState.OFF -> "gui/hungerempty.ans";
            case HungerState.ON -> "gui/hungerfull.ans";
            default -> throw new IllegalStateException("Unexpected value: " + e);
        });
    }

    @Override
    public Optional<Class<HungerState>> getStates() {
        return Optional.of(HungerState.class);
    }
}
