package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.ResourceLoader;
import cz.jzitnik.tui.Sprite;

import java.util.Optional;

public class Steve extends Sprite {
    public enum SteveState {
        FIRST, SECOND,
    }

    public String getSprite() {
        return getSprite(SteveState.FIRST);
    }

    public String getSprite(Enum e) {
        return ResourceLoader.loadResource(switch (e) {
            case SteveState.FIRST -> "steve1.ans";
            case SteveState.SECOND -> "steve2.ans";
            default -> throw new IllegalStateException("Unexpected value: " + e);
        });
    }

    @Override
    public Optional<Class<SteveState>> getStates() {
        return Optional.of(SteveState.class);
    }
}
